## org.eclipse.xsd
Interface XSDElementDeclaration

All Superinterfaces:
  EObject, Notifier, XSDComponent, XSDConcreteComponent, XSDFeature, XSDNamedComponent, XSDParticleContent, XSDSchemaContent, XSDTerm

All Known Implementing Classes:
  XSDElementDeclarationImpl

    public interface XSDElementDeclaration

extends XSDFeature, XSDSchemaContent, XSDTerm

A representation of the model object 'Element Declaration'.

The following features are supported:

- `Nillable`
- `Disallowed Substitutions`
- `Substitution Group Exclusions`
- `Abstract`
- `Lexical Final`
- `Block`
- `Element Declaration Reference`
- `Circular`
- `Annotation`
- `Anonymous Type Definition`
- `Type Definition`
- `Identity Constraint Definitions`
- `Resolved Element Declaration`
- `Substitution Group Affiliation`
- `Substitution Group`

See Also:
  `XSDPackage.getXSDElementDeclaration()`

Method Summary
`XSDAnnotation` `getAnnotation()` Returns the value of the 'Annotation' containment reference
`XSDTypeDefinition` `getAnonymousTypeDefinition()` Returns the value of the 'Anonymous Type Definition' containment reference
`EList<XSDDisallowedSubstitutions>` `getBlock()` Returns the value of the 'Block' attribute list.
`EList<XSDDisallowedSubstitutions>` `getDisallowedSubstitutions()` Returns the value of the 'Disallowed Substitutions' attribute list.
`EList<XSDIdentityConstraintDefinition>` `getIdentityConstraintDefinitions()` Returns the value of the 'Identity Constraint Definitions' containment reference list.
`EList<XSDProhibitedSubstitutions>` `getLexicalFinal()` Returns the value of the 'Lexical Final' attribute list.
`XSDElementDeclaration` `getResolvedElementDeclaration()` Returns the value of the 'Resolved Element Declaration' reference
`java.lang.String` `getStringBlock()` Returns the String value of the '`Block`' attribute list
`java.lang.String` `getStringDisallowedSubstitutions()` Returns the String value of the '`Disallowed Substitutions`' attribute list
`java.lang.String` `getStringLexicalFinal()` Returns the String value of the '`Lexical Final`' attribute list
`java.lang.String` `getStringSubstitutionGroupExclusions()` Returns the value of the 'Substitution Group Exclusions' attribute list
`EList<XSDElementDeclaration>` `getSubstitutionGroup()` Returns the value of the 'Substitution Group' reference list.
`XSDElementDeclaration` `getSubstitutionGroupAffiliation()` Returns the value of the 'Substitution Group Affiliation' reference
`EList<XSDSubstitutionGroupExclusions>` `getSubstitutionGroupExclusions()` Returns the value of the 'Substitution Group Exclusions' attribute list.
`XSDTypeDefinition` `getTypeDefinition()` Returns the value of the 'Type Definition' reference
`boolean` `isAbstract()` Returns the value of the 'Abstract' attribute
`boolean` `isCircular()` Returns the value of the 'Circular' attribute
`boolean` `isElementDeclarationReference()` Returns the value of the 'Element Declaration Reference' attribute
`boolean` `isNillable()` Returns the value of the 'Nillable' attribute
`boolean` `isSetAbstract()` Returns whether the value of the '`Abstract`' attribute is set
`boolean` `isSetBlock()` Returns whether the value of the '`Block`' attribute list is set
`boolean` `isSetLexicalFinal()` Returns whether the value of the '`Lexical Final`' attribute list is set
`boolean` `isSetNillable()` Returns whether the value of the '`Nillable`' attribute is set
`void` `setAbstract(boolean value)` Sets the value of the '`Abstract`' attribute
`void` `setAnnotation(XSDAnnotation value)` Sets the value of the '`Annotation`' containment reference
`void` `setAnonymousTypeDefinition(XSDTypeDefinition value)` Sets the value of the '`Anonymous Type Definition`' containment reference
`void` `setNillable(boolean value)` Sets the value of the '`Nillable`' attribute
`void` `setResolvedElementDeclaration(XSDElementDeclaration value)` Sets the value of the '`Resolved Element Declaration`' reference
`void` `setStringBlock(java.lang.String block)` Set the String value of the '`Block`' attribute list
`void` `setStringLexicalFinal(java.lang.String lexicalFinal)` Sets the String value of the '`Lexical Final`' attribute list
`void` `setSubstitutionGroupAffiliation(XSDElementDeclaration value)` Sets the value of the '`Substitution Group Affiliation`' reference
`void` `setTypeDefinition(XSDTypeDefinition value)` Sets the value of the '`Type Definition`' reference
`void` `unsetAbstract()` Unsets the value of the '`Abstract`' attribute
`void` `unsetBlock()` Unsets the value of the '`Block`' attribute list
`void` `unsetLexicalFinal()` Unsets the value of the '`Lexical Final`' attribute list
`void` `unsetNillable()` Unsets the value of the '`Nillable`' attribute

Methods inherited from interface org.eclipse.xsd.XSDFeature
`getConstraint, getForm, getLexicalValue, getResolvedFeature, getScope, getType, getValue, isFeatureReference, isGlobal, isSetConstraint, isSetForm, setConstraint, setForm, setLexicalValue, setValue, unsetConstraint, unsetForm`

Methods inherited from interface org.eclipse.xsd.XSDNamedComponent
`getAliasName, getAliasURI, getName, getQName, getQName, getTargetNamespace, getURI, hasNameAndTargetNamespace, hasSameNameAndTargetNamespace, hasURI, setName, setTargetNamespace`

Methods inherited from interface org.eclipse.xsd.XSDConcreteComponent

`clearDiagnostics, cloneConcreteComponent, contains, elementAttributesChanged, elementChanged, elementContentsChanged, getComponentsWithApplicationInformation, getComponentsWithUserInformation, getContainer, getDiagnostics, getElement, getRootContainer, getSchema, resolveAttributeDeclaration, resolveAttributeDeclaration, resolveAttributeDeclarationURI, resolveAttributeGroupDefinition, resolveAttributeGroupDefinition, resolveAttributeGroupDefinitionURI, resolveComplexTypeDefinition, resolveComplexTypeDefinition, resolveComplexTypeDefinitionURI, resolveElementDeclaration, resolveElementDeclaration, resolveElementDeclarationURI, resolveIdentityConstraintDefinition, resolveIdentityConstraintDefinition, resolveIdentityConstraintDefinitionURI, resolveModelGroupDefinition, resolveModelGroupDefinition, resolveModelGroupDefinitionURI, resolveNotationDeclaration, resolveNotationDeclaration, resolveNotationDeclarationURI, resolveSimpleTypeDefinition, resolveSimpleTypeDefinition, resolveSimpleTypeDefinitionURI, resolveTypeDefinition, resolveTypeDefinition, resolveTypeDefinitionURI, setElement, updateElement, updateElement, validate`

Methods inherited from interface org.eclipse.emf.ecore.EObject
`eAllContents, eClass, eContainer, eContainingFeature, eContainmentFeature, eContents, eCrossReferences, eGet, eGet, eIsProxy, eIsSet, eResource, eSet, eUnset`

Methods inherited from interface org.eclipse.emf.common.notify.Notifier
`eAdapters, eDeliver, eNotify, eSetDeliver`

Method Detail

### isNillable

    boolean isNillable()

  Returns the value of the 'Nillable' attribute.

  This represents the nillable infoset property.

  Returns:
    the value of the 'Nillable' attribute.
  See Also:
    `isSetNillable()`, `unsetNillable()`, `setNillable(boolean)`, `XSDPackage.getXSDElementDeclaration_Nillable()`

### setNillable

    void setNillable(boolean value)

  Sets the value of the '`Nillable`' attribute.

  Parameters:
    `value` - the new value of the 'Nillable' attribute.
  See Also:
    `isSetNillable()`, `unsetNillable()`, `isNillable()`

### unsetNillable

    void unsetNillable()

  Unsets the value of the '`Nillable`' attribute.

  See Also:
    `isSetNillable()`, `isNillable()`, `setNillable(boolean)`

### isSetNillable

    boolean isSetNillable()

  Returns whether the value of the '`Nillable`' attribute is set.

  Returns:
    whether the value of the 'Nillable' attribute is set.
  See Also:
    `unsetNillable()`, `isNillable()`, `setNillable(boolean)`

### getDisallowedSubstitutions

    EList<XSDDisallowedSubstitutions> getDisallowedSubstitutions()

  Returns the value of the 'Disallowed Substitutions' attribute list. The list contents are of type `XSDDisallowedSubstitutions`. The literals are from the enumeration `XSDDisallowedSubstitutions`.

  This represents the dissallowed substitutions infoset property. It is computed from the `block` and should typically not be modified directly.

  Returns:
    the value of the 'Disallowed Substitutions' attribute list.
  See Also:
    `getStringDisallowedSubstitutions()`, `XSDDisallowedSubstitutions`, `XSDPackage.getXSDElementDeclaration_DisallowedSubstitutions()`

### getStringDisallowedSubstitutions

    java.lang.String getStringDisallowedSubstitutions()

  Returns the String value of the '`Disallowed Substitutions`' attribute list.

  Returns:
    the String value of the 'Disallowed Substitutions' attribute list.
  See Also:
    `getDisallowedSubstitutions()`

### getSubstitutionGroupExclusions

    EList<XSDSubstitutionGroupExclusions> getSubstitutionGroupExclusions()

  Returns the value of the 'Substitution Group Exclusions' attribute list. The list contents are of type `XSDSubstitutionGroupExclusions`. The literals are from the enumeration `XSDSubstitutionGroupExclusions`.

  This represents the substitution group exclusions infoset property. It is computed from the `final` and should typically not be modified directly.

  Returns:
    the value of the 'Substitution Group Exclusions' attribute list.
  See Also:
    `getStringSubstitutionGroupExclusions()`, `XSDSubstitutionGroupExclusions`, `XSDPackage.getXSDElementDeclaration_SubstitutionGroupExclusions()`

### getStringSubstitutionGroupExclusions

    java.lang.String getStringSubstitutionGroupExclusions()

  Returns the value of the 'Substitution Group Exclusions' attribute list.

  Returns:
    the value of the 'Substitution Group Exclusions' attribute list.
  See Also:
    `getSubstitutionGroupExclusions()`, `XSDPackage.getXSDElementDeclaration_SubstitutionGroupExclusions()`

### isAbstract

    boolean isAbstract()

  Returns the value of the 'Abstract' attribute.

  This represents the abstract infoset property.

  Returns:
    the value of the 'Abstract' attribute.
  See Also:
    `isSetAbstract()`, `unsetAbstract()`, `setAbstract(boolean)`, `XSDPackage.getXSDElementDeclaration_Abstract()`

### setAbstract

    void setAbstract(boolean value)

  Sets the value of the '`Abstract`' attribute.

  Parameters:
    `value` - the new value of the 'Abstract' attribute.
  See Also:
    `isSetAbstract()`, `unsetAbstract()`, `isAbstract()`

### unsetAbstract

    void unsetAbstract()

  Unsets the value of the '`Abstract`' attribute.

  See Also:
    `isSetAbstract()`, `isAbstract()`, `setAbstract(boolean)`

### isSetAbstract

    boolean isSetAbstract()

  Returns whether the value of the '`Abstract`' attribute is set.

  Returns:
    whether the value of the 'Abstract' attribute is set.
  See Also:
    `unsetAbstract()`, `isAbstract()`, `setAbstract(boolean)`

### getLexicalFinal

    EList<XSDProhibitedSubstitutions> getLexicalFinal()

  Returns the value of the 'Lexical Final' attribute list. The list contents are of type `XSDProhibitedSubstitutions`. The literals are from the enumeration `XSDProhibitedSubstitutions`.

  This concrete attribute represents the value of the final attribute.

  Returns:
    the value of the 'Lexical Final' attribute list.
  See Also:
    `getStringLexicalFinal()`, `setStringLexicalFinal(java.lang.String)`, `XSDProhibitedSubstitutions`, `isSetLexicalFinal()`, `unsetLexicalFinal()`, `XSDPackage.getXSDElementDeclaration_LexicalFinal()`

### unsetLexicalFinal

    void unsetLexicalFinal()

  Unsets the value of the '`Lexical Final`' attribute list.

  See Also:
    `isSetLexicalFinal()`, `getLexicalFinal()`

### isSetLexicalFinal

    boolean isSetLexicalFinal()

  Returns whether the value of the '`Lexical Final`' attribute list is set.

  Returns:
    whether the value of the 'Lexical Final' attribute list is set.
  See Also:
    `unsetLexicalFinal()`, `getLexicalFinal()`

### getStringLexicalFinal

    java.lang.String getStringLexicalFinal()

  Returns the String value of the '`Lexical Final`' attribute list.

  Returns:
    the String value of the 'Lexical Final' attribute list.
  See Also:
    `getStringLexicalFinal()`, `setStringLexicalFinal(java.lang.String)`

### setStringLexicalFinal

    void setStringLexicalFinal(java.lang.String lexicalFinal)

  Sets the String value of the '`Lexical Final`' attribute list.

  Parameters:
    `lexicalFinal` - the new value of the 'Lexical Final' attribute list.
  See Also:
    `getLexicalFinal()`, `getStringLexicalFinal()`

### getBlock

    EList<XSDDisallowedSubstitutions> getBlock()

  Returns the value of the 'Block' attribute list. The list contents are of type `XSDDisallowedSubstitutions`. The literals are from the enumeration `XSDDisallowedSubstitutions`.

  This concrete attribute represents the value of the block attribute.

  Returns:
    the value of the 'Block' attribute list.
  See Also:
    `getStringBlock()`, `setStringBlock(java.lang.String)`, `XSDDisallowedSubstitutions`, `isSetBlock()`, `unsetBlock()`, `XSDPackage.getXSDElementDeclaration_Block()`

### unsetBlock

    void unsetBlock()

  Unsets the value of the '`Block`' attribute list.

  See Also:
    `isSetBlock()`, `getBlock()`

### isSetBlock

    boolean isSetBlock()

  Returns whether the value of the '`Block`' attribute list is set.

  Returns:
    whether the value of the 'Block' attribute list is set.
  See Also:
    `unsetBlock()`, `getBlock()`

### getStringBlock

    java.lang.String getStringBlock()

  Returns the String value of the '`Block`' attribute list.

  Returns:
    the value of the 'Block' attribute list.
  See Also:
    `getBlock()`, `setStringBlock(java.lang.String)`

### setStringBlock

    void setStringBlock(java.lang.String block)

  Set the String value of the '`Block`' attribute list.

  Parameters:
    `block` - the new value of the 'Block' attribute list.
  See Also:
    `getBlock()`, `getStringBlock()`

### isElementDeclarationReference

    boolean isElementDeclarationReference()

  Returns the value of the 'Element Declaration Reference' attribute.

  This concrete attribute is equivalent to

        xsdElementDeclaration != xsdElementDeclaration.getResolvedElementDeclaration()

  An infoset feature will never return an instance for which this is the `true` since this is a concrete attribute that is used to represent an element declaration with a ref attribute.

  Returns:
    the value of the 'Element Declaration Reference' attribute.
  See Also:
    `XSDPackage.getXSDElementDeclaration_ElementDeclarationReference()`

### isCircular

    boolean isCircular()

  Returns the value of the 'Circular' attribute.

  This indicates that the element declaration is part of an invalid circular substitution group.

  Returns:
    the value of the 'Circular' attribute.
  See Also:
    `XSDPackage.getXSDElementDeclaration_Circular()`

### getAnnotation

    XSDAnnotation getAnnotation()

  Returns the value of the 'Annotation' containment reference.

  This represents the annotation infoset property.

  Returns:
    the value of the 'Annotation' containment reference.
  See Also:
    `setAnnotation(XSDAnnotation)`, `XSDPackage.getXSDElementDeclaration_Annotation()`

### setAnnotation

    void setAnnotation(XSDAnnotation value)

  Sets the value of the '`Annotation`' containment reference.

  Parameters:
    `value` - the new value of the 'Annotation' containment reference.
  See Also:
    `getAnnotation()`

### getAnonymousTypeDefinition

    XSDTypeDefinition getAnonymousTypeDefinition()

  Returns the value of the 'Anonymous Type Definition' containment reference.

  This concrete reference represents a type definition defined within the body of an element element.

  Returns:
    the value of the 'Anonymous Type Definition' containment reference.
  See Also:
    `setAnonymousTypeDefinition(XSDTypeDefinition)`, `XSDPackage.getXSDElementDeclaration_AnonymousTypeDefinition()`

### setAnonymousTypeDefinition

    void setAnonymousTypeDefinition(XSDTypeDefinition value)

  Sets the value of the '`Anonymous Type Definition`' containment reference.

  Parameters:
    `value` - the new value of the 'Anonymous Type Definition' containment reference.
  See Also:
    `getAnonymousTypeDefinition()`

### getTypeDefinition

    XSDTypeDefinition getTypeDefinition()

  Returns the value of the 'Type Definition' reference.

  This represents the type definition infoset property.

  Returns:
    the value of the 'Type Definition' reference.
  See Also:
    `setTypeDefinition(XSDTypeDefinition)`, `XSDPackage.getXSDElementDeclaration_TypeDefinition()`

### setTypeDefinition

    void setTypeDefinition(XSDTypeDefinition value)

  Sets the value of the '`Type Definition`' reference.

  Parameters:
    `value` - the new value of the 'Type Definition' reference.
  See Also:
    `getTypeDefinition()`

### getIdentityConstraintDefinitions

    EList<XSDIdentityConstraintDefinition> getIdentityConstraintDefinitions()

  Returns the value of the 'Identity Constraint Definitions' containment reference list. The list contents are of type `XSDIdentityConstraintDefinition`.

  This represents the identity constraint definitions infoset property.

  Returns:
    the value of the 'Identity Constraint Definitions' containment reference list.
  See Also:
    `XSDPackage.getXSDElementDeclaration_IdentityConstraintDefinitions()`

### getResolvedElementDeclaration

    XSDElementDeclaration getResolvedElementDeclaration()

  Returns the value of the 'Resolved Element Declaration' reference.

  This concrete reference represents the element declaration resolved by the ref attribute.

  Returns:
    the value of the 'Resolved Element Declaration' reference.
  See Also:
    `setResolvedElementDeclaration(XSDElementDeclaration)`, `XSDPackage.getXSDElementDeclaration_ResolvedElementDeclaration()`

### setResolvedElementDeclaration

    void setResolvedElementDeclaration(XSDElementDeclaration value)

  Sets the value of the '`Resolved Element Declaration`' reference.

  Parameters:
    `value` - the new value of the 'Resolved Element Declaration' reference.
  See Also:
    `getResolvedElementDeclaration()`

### getSubstitutionGroupAffiliation

    XSDElementDeclaration getSubstitutionGroupAffiliation()

  Returns the value of the 'Substitution Group Affiliation' reference.

  This represents the substitution group affiliation infoset property.

  Returns:
    the value of the 'Substitution Group Affiliation' reference.
  See Also:
    `setSubstitutionGroupAffiliation(XSDElementDeclaration)`, `XSDPackage.getXSDElementDeclaration_SubstitutionGroupAffiliation()`

### setSubstitutionGroupAffiliation

    void setSubstitutionGroupAffiliation(XSDElementDeclaration value)

  Sets the value of the '`Substitution Group Affiliation`' reference.

  Parameters:
    `value` - the new value of the 'Substitution Group Affiliation' reference.
  See Also:
    `getSubstitutionGroupAffiliation()`

### getSubstitutionGroup

    EList<XSDElementDeclaration> getSubstitutionGroup()

  Returns the value of the 'Substitution Group' reference list. The list contents are of type `XSDElementDeclaration`.

  This represents the substitution group infoset property; actually it isn't really an infoset property, but it's certainly needed during validation.

  Returns:
    the value of the 'Substitution Group' reference list.
  See Also:
    `XSDPackage.getXSDElementDeclaration_SubstitutionGroup()`

Copyright 2001-2006 IBM Corporation and others. All Rights Reserved.